Show / Hide Table of Contents

# Struct ImGuiTextFilterPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiTextFilterPtr

### Constructors

| Improve this Doc View Source

#### ImGuiTextFilterPtr(ImGuiTextFilter*)

##### Declaration

    public ImGuiTextFilterPtr(ImGuiTextFilter*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextFilter* | nativePtr |

| Improve this Doc View Source

#### ImGuiTextFilterPtr(IntPtr)

##### Declaration

    public ImGuiTextFilterPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### CountGrep

##### Declaration

    public readonly ref int CountGrep { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Filters

##### Declaration

    public readonly ImPtrVector<ImGuiTextRangePtr> Filters { get; }

##### Property Value

Type | Description
--- | ---
ImPtrVector<ImGuiTextRangePtr> |

| Improve this Doc View Source

#### InputBuf

##### Declaration

    public readonly RangeAccessor<byte> InputBuf { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Byte> |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImGuiTextFilter*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiTextFilter* |

### Methods

| Improve this Doc View Source

#### Build()

##### Declaration

    public void Build()

| Improve this Doc View Source

#### Clear()

##### Declaration

    public void Clear()

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### Draw()

##### Declaration

    public bool Draw()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Draw(String)

##### Declaration

    public bool Draw(string label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Draw(String, Single)

##### Declaration

    public bool Draw(string label, float width)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | width |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsActive()

##### Declaration

    public bool IsActive()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### PassFilter(String)

##### Declaration

    public bool PassFilter(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |

##### Returns

Type | Description
--- | ---
System.Boolean |

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiTextFilter* to ImGuiTextFilterPtr)

##### Declaration

    public static implicit operator ImGuiTextFilterPtr(ImGuiTextFilter*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextFilter* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiTextFilterPtr |

| Improve this Doc View Source

#### Implicit(ImGuiTextFilterPtr to ImGuiTextFilter*)

##### Declaration

    public static implicit operator ImGuiTextFilter*(ImGuiTextFilterPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextFilterPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiTextFilter* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiTextFilterPtr)

##### Declaration

    public static implicit operator ImGuiTextFilterPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiTextFilterPtr |